Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  package shell
  Definition Classes
    interpreter
- Accumulator
- Completion
- CompletionResult
- History
- ILoop
- InteractiveReader
- Javap
- Javap8
- Javap9
- JavapClass
- JavapProvider
- JavapTask
- JavapTool
- Logger
- LoopCommands
- MultiCompletion
- NoCompletion
- NoCompletions
- NoHistory
- Parsed
- Pasted
- ProcessResult
- ReplCompletion
- ReplReporterImpl
- Scripted
- ShellConfig
- SimpleHistory
- SimpleReader
- Tabulator
- VariColumnTabulator
- WriterOutputStream

t

scala.tools.nsc.interpreter.shell

# LoopCommands

###

#### trait LoopCommands extends AnyRef

Source
  LoopCommands.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
ILoop
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LoopCommands
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  class LineCmd extends LoopCommand
2.  abstract class LoopCommand extends (String) => Result
3.  class NullaryCmd extends LoopCommand
4.  case class Result(keepRunning: Boolean, lineToRecord: Option[String]) extends Product with Serializable
5.  class VarArgsCmd extends LoopCommand

### Abstract Value Members

1.  abstract def commands: List[LoopCommand]
2.  abstract def echo(msg: String): Unit
   Attributes
     protected
3.  abstract def out: PrintWriter
   Attributes
     protected

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from LoopCommands toany2stringadd[LoopCommands] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (LoopCommands, B)
   Implicit
     This member is added by an implicit conversion from LoopCommands toArrowAssoc[LoopCommands] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def ambiguousError(cmd: String): Result
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def colonCommand(line: String): Result
10.  def colonCompletion(line: String, cursor: Int): Completion
11.  def echoCommandMessage(msg: String): Unit
12.  def ensuring(cond: (LoopCommands) => Boolean, msg: => Any): LoopCommands
    Implicit
      This member is added by an implicit conversion from LoopCommands toEnsuring[LoopCommands] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (LoopCommands) => Boolean): LoopCommands
    Implicit
      This member is added by an implicit conversion from LoopCommands toEnsuring[LoopCommands] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): LoopCommands
    Implicit
      This member is added by an implicit conversion from LoopCommands toEnsuring[LoopCommands] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): LoopCommands
    Implicit
      This member is added by an implicit conversion from LoopCommands toEnsuring[LoopCommands] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from LoopCommands toStringFormat[LoopCommands] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def helpCommand(line: String): Result

    print a friendly help message

23.  def helpSummary(): Unit
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
33.  object LoopCommand
34.  object Result extends java.io.Serializable

### Deprecated Value Members

1.  def →[B](y: B): (LoopCommands, B)
   Implicit
     This member is added by an implicit conversion from LoopCommands toArrowAssoc[LoopCommands] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromLoopCommands to any2stringadd[LoopCommands]

### Inherited by implicit conversion StringFormat fromLoopCommands to StringFormat[LoopCommands]

### Inherited by implicit conversion Ensuring fromLoopCommands to Ensuring[LoopCommands]

### Inherited by implicit conversion ArrowAssoc fromLoopCommands to ArrowAssoc[LoopCommands]

### Ungrouped